<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: thetop_panel_more.php
| CVS Version: 1.3
| Author: Orosznyet
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."thetop_panel/infusion_db.php";

// TRANSLATED FILES IMPORT ------------------------------------------
if (file_exists(INFUSIONS."thetop_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."thetop_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."thetop_panel/locale/Hungarian.php";
}
// CONFIGURATION FILE IMPORT ----------------------------------------
if (file_exists(INFUSIONS."thetop_panel/conf.php")) {
	include INFUSIONS."thetop_panel/conf.php";
} else {
	$conf['bgt_000'] = 0;
        $conf['bgt_001'] = 1;
        $conf['bgt_002'] = "off";
        $conf['bgt_003'] = "off";
        $conf['bgt_004'] = 10;
}

opentable($locale['bgt_000']);
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// -------------------------------------------------- FIRST PART --------------------------------------------USERS---
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
opentable ($locale['bgt_001']);

echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"2\">
<tr>
<td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_005']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_007']."</td></tr>
<tr>
<td>";
$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
              echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a><br>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_006']."</b></font></span></center>\n";
}
echo"</td><td>";
$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined ASC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
              echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a><br>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_006']."</b></font></span></center>\n";
}
echo "</td></tr><tr><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_008']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_009']."</td></tr><tr><td>";
$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_lastvisit ASC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
              echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a><br>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_006']."</b></font></span></center>\n";
}
echo "</td><td><table width='100%' cellpadding='0' cellspacing='1' border='0'>";
$result = dbquery("SELECT user_name, user_id, count(user_id) AS post_count FROM ".DB_POSTS." INNER JOIN ".DB_USERS." ON post_author=user_id GROUP BY user_name ORDER BY post_count DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
if (dbrows($result)!=0) {
   while ($data=dbarray($result)) {
        echo "<tr><td class='small' align='left'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td><td class='side-small' align='right'>".$data['post_count']."</td></tr>";
    }
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_032']."</b></font></span></center>\n";
}
echo "</table>";
echo "</td></tr><tr><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_010']."</td><td>&nbsp;</td></tr><tr><td><table width='100%' cellpadding='0' cellspacing='1' border='0'>";
$result = dbquery("SELECT shout_name, user_name, user_id, count(shout_name) AS post_count FROM ".DB_SHOUTBOX." INNER JOIN ".DB_USERS." ON shout_name=user_id GROUP BY user_id ORDER BY post_count DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
if (dbrows($result)!=0) {
        while ($data=dbarray($result)) {
		echo "<tr><td class='small' align='left'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td><td class='side-small' align='right'>".$data['post_count']."</td></tr>";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_011']."</b></font></span></center>\n";
}
echo "</table></td>";
echo"</td></tr></table>";
closetable();
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ------------------------------------------------- SECOND PART -------------------------------------------NEWEST---
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
opentable($locale['bgt_002']);
echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"2\"><tr><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_012']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_014']."</td></tr><tr><td>";
$result = dbquery("SELECT ta.*,tac.* FROM ".DB_ARTICLES." ta INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id WHERE ".groupaccess('article_cat_access')." ORDER BY article_datestamp DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo "<tr><td class='small' align='left'><a href='".BASEDIR."readarticle.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a></td></tr>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_013']."</b></font></span></center>\n";
} echo "</table>";
echo "</td><td>";
$result = dbquery("SELECT ta.*,tac.* FROM ".DB_NEWS." ta INNER JOIN ".DB_NEWS_CATS." tac ON ta.news_cat=tac.news_cat_id WHERE ".groupaccess('news_visibility')." ORDER BY news_datestamp DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['news_subject'], 23);
		echo "<tr><td class='small' align='left'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>$itemsubject</a></td></tr>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_015']."</b></font></span></center>\n";
}  echo"</table>";
echo "</td></tr><tr><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_016']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_018']."</td></tr>
<tr>
<td>";
$result = dbquery("SELECT * FROM ".DB_THREADS." INNER JOIN ".DB_FORUMS." ON ".DB_THREADS.".forum_id=".DB_FORUMS.".forum_id WHERE ".groupaccess('forum_access')." ORDER BY thread_lastpost DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 23);
		echo "<tr><td class='small' align='left'><a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a></td></tr>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_017']."</b></font></span></center>\n";
}  echo "</table>";
echo "</td><td>";
$result = dbquery("SELECT * FROM ".DB_DOWNLOADS." INNER JOIN ".DB_DOWNLOAD_CATS." ON ".DB_DOWNLOADS.".download_cat=".DB_DOWNLOAD_CATS.".download_cat_id WHERE ".groupaccess('download_cat_access')." ORDER BY download_datestamp DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
echo "<table width='100%' cellpadding='0' cellspacing='0'>";
		while ($data = dbarray($result)) {
			echo "<tr><td class='small'><a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'>".trimlink($data['download_title'], 23)."</a></td><td align='right'>&nbsp;</td></tr>";
		}
} else {
   echo "<center><span class='small'><font color='red'><b>".$locale['bgt_019']."</b></font></span></center>\n";
}  echo "</table>";
echo"</td></tr>
<tr>
<td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_020']."</td><td>&nbsp;</td></tr>
<tr>
<td>";
$result = dbquery("SELECT * FROM ".DB_PHOTOS." INNER JOIN ".DB_PHOTO_ALBUMS." ON ".DB_PHOTOS.".album_id=".DB_PHOTO_ALBUMS.".album_id WHERE ".groupaccess('album_access')." ORDER BY photo_datestamp DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
echo "<table width='100%' cellpadding='0' cellspacing='0'>";
		while ($data = dbarray($result)) {
			echo "<tr><td class='small'><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".trimlink($data['photo_title'], 23)."</a></td><td align='right'>&nbsp;</td></tr>";
		}
} else {
   echo "<center><span class='small'><font color='red'><b>".$locale['bgt_021']."</b></font></span></center>\n";
}  echo "</table>";
echo "</td><td>&nbsp;</td></tr>
</table>";
closetable();
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ----------------------------------------------- THIRD PART -----------------------------------------------VIEWS---
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
opentable($locale['bgt_003']);
echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"2\">
<tr>
<td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_022']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_024']."</td></tr>
<tr>
<td>";
$result = dbquery("SELECT ta.*,tac.* FROM ".DB_ARTICLES." ta INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id WHERE ".groupaccess('article_cat_access')." ORDER BY article_reads DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo "<tr>\n<td class='side-small'><a href='".BASEDIR."readarticle.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a></td><td align='right' class='side-small'>".$data['article_reads']."</td>\n</tr>\n";
	}
 
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_023']."</b></font></center>\n";
} echo "</table>\n";
echo "</td><td>";
$result = dbquery("SELECT ta.*,tac.* FROM ".DB_NEWS." ta INNER JOIN ".DB_NEWS_CATS." tac ON ta.news_cat=tac.news_cat_id WHERE ".groupaccess('news_visibility')." ORDER BY news_reads DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
        while($data = dbarray($result)) {
		$itemsubject = trimlink($data['news_subject'], 23);
		echo "<tr>\n<td class='side-small'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>$itemsubject</a></td><td align='right' class='side-small'>".$data['news_reads']."</td>\n</tr>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_025']."</b></font></span></center>\n";
} echo "</table>";
echo "</td></tr>
<tr>
<td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_026']."</td><td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_028']."</td></tr>
<tr>
<td>";
$result = dbquery("SELECT tf.forum_id, tt.thread_id, tt.thread_subject, COUNT(tp.post_id) as count_posts FROM ".DB_FORUMS." tf INNER JOIN ".DB_THREADS." tt USING(forum_id) INNER JOIN ".DB_POSTS." tp USING(thread_id) WHERE ".groupaccess('forum_access')." GROUP BY thread_id ORDER BY count_posts DESC, thread_lastpost DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 20);
		echo "<tr>\n<td class='side-small'><a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a></td><td align='right' class='side-small'>".($data['count_posts']-1)."</td>\n</tr>\n";
	}
} else {
	echo "<center><span class='small'><font color='red'><b>".$locale['bgt_027']."</b></font></span></center>\n";
} echo "</table>\n";
echo "</td><td>";
$result = dbquery("SELECT * FROM ".DB_DOWNLOADS." INNER JOIN ".DB_DOWNLOAD_CATS." ON ".DB_DOWNLOADS.".download_cat=".DB_DOWNLOAD_CATS.".download_cat_id WHERE ".groupaccess('download_cat_access')." ORDER BY download_count DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			echo "<tr><td class='small'><a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'>".trimlink($data['download_title'], 23)."</a></td><td align='right'>".$data['download_count']."</td></tr>";
		}
} else {
   echo "<center><span class='small'><font color='red'><b>".$locale['bgt_029']."</b></font></span></center>\n";
}  echo "</table>";
echo "</td></tr>
<tr>
<td align=\"center\" class=\"tbl1\" width=\"50%\">".$locale['bgt_030']."</td><td>&nbsp;</td></tr>
<tr>
<td>";
$result = dbquery("SELECT * FROM ".DB_PHOTOS." INNER JOIN ".DB_PHOTO_ALBUMS." ON ".DB_PHOTOS.".album_id=".DB_PHOTO_ALBUMS.".album_id WHERE ".groupaccess('album_access')." ORDER BY photo_views DESC LIMIT ".$conf['bgt_000'].",".$conf['bgt_004']."");
echo "<table width='100%' cellpadding='0' cellspacing='1' border='0'>";
if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
                           echo "<tr><td class='small'><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."";if ($data['photo_title'] == "") {echo "[Link]";}echo"' class='side'>".trimlink($data['photo_title'], 23)."";if ($data['photo_title'] == "") {echo "[Link]";}echo"</a></td><td align='right'>".$data['photo_views']."</td></tr>";
		}
} else {
   echo "<center><span class='small'><font color='red'><b>".$locale['bgt_031']."</b></font></span></center>\n";
}  echo "</table>";
echo "</td><td>&nbsp;</td></tr>";
echo "</table>";
closetable();
closetable();
require_once THEMES."templates/footer.php";
?>